IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/40
Addresses2^88
/64 networks16,777,216
- Network
fe80:c25b:ec00::/40- First address
fe80:c25b:ec00::- Last address
fe80:c25b:ecff:ffff:ffff:ffff:ffff:ffff- Addresses
- 309,485,009,821,345,068,724,781,056 (2^88)
- /64 networks (LANs)
- 16,777,216
- Full form
fe80:c25b:ec00:0000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
c.e.b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b:ec00::/40 makes 256 subnets of /48.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:ec00::/48 | fe80:c25b:ec00:ffff:ffff:ffff:ffff:ffff |
| 2 | fe80:c25b:ec01::/48 | fe80:c25b:ec01:ffff:ffff:ffff:ffff:ffff |
| 3 | fe80:c25b:ec02::/48 | fe80:c25b:ec02:ffff:ffff:ffff:ffff:ffff |
| 4 | fe80:c25b:ec03::/48 | fe80:c25b:ec03:ffff:ffff:ffff:ffff:ffff |
| 5 | fe80:c25b:ec04::/48 | fe80:c25b:ec04:ffff:ffff:ffff:ffff:ffff |
| 6 | fe80:c25b:ec05::/48 | fe80:c25b:ec05:ffff:ffff:ffff:ffff:ffff |
| 7 | fe80:c25b:ec06::/48 | fe80:c25b:ec06:ffff:ffff:ffff:ffff:ffff |
| 8 | fe80:c25b:ec07::/48 | fe80:c25b:ec07:ffff:ffff:ffff:ffff:ffff |
| 9 | fe80:c25b:ec08::/48 | fe80:c25b:ec08:ffff:ffff:ffff:ffff:ffff |
| 10 | fe80:c25b:ec09::/48 | fe80:c25b:ec09:ffff:ffff:ffff:ffff:ffff |
| 11 | fe80:c25b:ec0a::/48 | fe80:c25b:ec0a:ffff:ffff:ffff:ffff:ffff |
| 12 | fe80:c25b:ec0b::/48 | fe80:c25b:ec0b:ffff:ffff:ffff:ffff:ffff |
| 13 | fe80:c25b:ec0c::/48 | fe80:c25b:ec0c:ffff:ffff:ffff:ffff:ffff |
| 14 | fe80:c25b:ec0d::/48 | fe80:c25b:ec0d:ffff:ffff:ffff:ffff:ffff |
| 15 | fe80:c25b:ec0e::/48 | fe80:c25b:ec0e:ffff:ffff:ffff:ffff:ffff |
| 16 | fe80:c25b:ec0f::/48 | fe80:c25b:ec0f:ffff:ffff:ffff:ffff:ffff |
| 17 | fe80:c25b:ec10::/48 | fe80:c25b:ec10:ffff:ffff:ffff:ffff:ffff |
| 18 | fe80:c25b:ec11::/48 | fe80:c25b:ec11:ffff:ffff:ffff:ffff:ffff |
| 19 | fe80:c25b:ec12::/48 | fe80:c25b:ec12:ffff:ffff:ffff:ffff:ffff |
| 20 | fe80:c25b:ec13::/48 | fe80:c25b:ec13:ffff:ffff:ffff:ffff:ffff |
| 21 | fe80:c25b:ec14::/48 | fe80:c25b:ec14:ffff:ffff:ffff:ffff:ffff |
| 22 | fe80:c25b:ec15::/48 | fe80:c25b:ec15:ffff:ffff:ffff:ffff:ffff |
| 23 | fe80:c25b:ec16::/48 | fe80:c25b:ec16:ffff:ffff:ffff:ffff:ffff |
| 24 | fe80:c25b:ec17::/48 | fe80:c25b:ec17:ffff:ffff:ffff:ffff:ffff |
| 25 | fe80:c25b:ec18::/48 | fe80:c25b:ec18:ffff:ffff:ffff:ffff:ffff |
| 26 | fe80:c25b:ec19::/48 | fe80:c25b:ec19:ffff:ffff:ffff:ffff:ffff |
| 27 | fe80:c25b:ec1a::/48 | fe80:c25b:ec1a:ffff:ffff:ffff:ffff:ffff |
| 28 | fe80:c25b:ec1b::/48 | fe80:c25b:ec1b:ffff:ffff:ffff:ffff:ffff |
| 29 | fe80:c25b:ec1c::/48 | fe80:c25b:ec1c:ffff:ffff:ffff:ffff:ffff |
| 30 | fe80:c25b:ec1d::/48 | fe80:c25b:ec1d:ffff:ffff:ffff:ffff:ffff |
| 31 | fe80:c25b:ec1e::/48 | fe80:c25b:ec1e:ffff:ffff:ffff:ffff:ffff |
| 32 | fe80:c25b:ec1f::/48 | fe80:c25b:ec1f:ffff:ffff:ffff:ffff:ffff |
| 33 | fe80:c25b:ec20::/48 | fe80:c25b:ec20:ffff:ffff:ffff:ffff:ffff |
| 34 | fe80:c25b:ec21::/48 | fe80:c25b:ec21:ffff:ffff:ffff:ffff:ffff |
| 35 | fe80:c25b:ec22::/48 | fe80:c25b:ec22:ffff:ffff:ffff:ffff:ffff |
| 36 | fe80:c25b:ec23::/48 | fe80:c25b:ec23:ffff:ffff:ffff:ffff:ffff |
| 37 | fe80:c25b:ec24::/48 | fe80:c25b:ec24:ffff:ffff:ffff:ffff:ffff |
| 38 | fe80:c25b:ec25::/48 | fe80:c25b:ec25:ffff:ffff:ffff:ffff:ffff |
| 39 | fe80:c25b:ec26::/48 | fe80:c25b:ec26:ffff:ffff:ffff:ffff:ffff |
| 40 | fe80:c25b:ec27::/48 | fe80:c25b:ec27:ffff:ffff:ffff:ffff:ffff |
| 41 | fe80:c25b:ec28::/48 | fe80:c25b:ec28:ffff:ffff:ffff:ffff:ffff |
| 42 | fe80:c25b:ec29::/48 | fe80:c25b:ec29:ffff:ffff:ffff:ffff:ffff |
| 43 | fe80:c25b:ec2a::/48 | fe80:c25b:ec2a:ffff:ffff:ffff:ffff:ffff |
| 44 | fe80:c25b:ec2b::/48 | fe80:c25b:ec2b:ffff:ffff:ffff:ffff:ffff |
| 45 | fe80:c25b:ec2c::/48 | fe80:c25b:ec2c:ffff:ffff:ffff:ffff:ffff |
| 46 | fe80:c25b:ec2d::/48 | fe80:c25b:ec2d:ffff:ffff:ffff:ffff:ffff |
| 47 | fe80:c25b:ec2e::/48 | fe80:c25b:ec2e:ffff:ffff:ffff:ffff:ffff |
| 48 | fe80:c25b:ec2f::/48 | fe80:c25b:ec2f:ffff:ffff:ffff:ffff:ffff |
| 49 | fe80:c25b:ec30::/48 | fe80:c25b:ec30:ffff:ffff:ffff:ffff:ffff |
| 50 | fe80:c25b:ec31::/48 | fe80:c25b:ec31:ffff:ffff:ffff:ffff:ffff |
| 51 | fe80:c25b:ec32::/48 | fe80:c25b:ec32:ffff:ffff:ffff:ffff:ffff |
| 52 | fe80:c25b:ec33::/48 | fe80:c25b:ec33:ffff:ffff:ffff:ffff:ffff |
| 53 | fe80:c25b:ec34::/48 | fe80:c25b:ec34:ffff:ffff:ffff:ffff:ffff |
| 54 | fe80:c25b:ec35::/48 | fe80:c25b:ec35:ffff:ffff:ffff:ffff:ffff |
| 55 | fe80:c25b:ec36::/48 | fe80:c25b:ec36:ffff:ffff:ffff:ffff:ffff |
| 56 | fe80:c25b:ec37::/48 | fe80:c25b:ec37:ffff:ffff:ffff:ffff:ffff |
| 57 | fe80:c25b:ec38::/48 | fe80:c25b:ec38:ffff:ffff:ffff:ffff:ffff |
| 58 | fe80:c25b:ec39::/48 | fe80:c25b:ec39:ffff:ffff:ffff:ffff:ffff |
| 59 | fe80:c25b:ec3a::/48 | fe80:c25b:ec3a:ffff:ffff:ffff:ffff:ffff |
| 60 | fe80:c25b:ec3b::/48 | fe80:c25b:ec3b:ffff:ffff:ffff:ffff:ffff |
| 61 | fe80:c25b:ec3c::/48 | fe80:c25b:ec3c:ffff:ffff:ffff:ffff:ffff |
| 62 | fe80:c25b:ec3d::/48 | fe80:c25b:ec3d:ffff:ffff:ffff:ffff:ffff |
| 63 | fe80:c25b:ec3e::/48 | fe80:c25b:ec3e:ffff:ffff:ffff:ffff:ffff |
| 64 | fe80:c25b:ec3f::/48 | fe80:c25b:ec3f:ffff:ffff:ffff:ffff:ffff |
| 65 | fe80:c25b:ec40::/48 | fe80:c25b:ec40:ffff:ffff:ffff:ffff:ffff |
| 66 | fe80:c25b:ec41::/48 | fe80:c25b:ec41:ffff:ffff:ffff:ffff:ffff |
| 67 | fe80:c25b:ec42::/48 | fe80:c25b:ec42:ffff:ffff:ffff:ffff:ffff |
| 68 | fe80:c25b:ec43::/48 | fe80:c25b:ec43:ffff:ffff:ffff:ffff:ffff |
| 69 | fe80:c25b:ec44::/48 | fe80:c25b:ec44:ffff:ffff:ffff:ffff:ffff |
| 70 | fe80:c25b:ec45::/48 | fe80:c25b:ec45:ffff:ffff:ffff:ffff:ffff |
| 71 | fe80:c25b:ec46::/48 | fe80:c25b:ec46:ffff:ffff:ffff:ffff:ffff |
| 72 | fe80:c25b:ec47::/48 | fe80:c25b:ec47:ffff:ffff:ffff:ffff:ffff |
| 73 | fe80:c25b:ec48::/48 | fe80:c25b:ec48:ffff:ffff:ffff:ffff:ffff |
| 74 | fe80:c25b:ec49::/48 | fe80:c25b:ec49:ffff:ffff:ffff:ffff:ffff |
| 75 | fe80:c25b:ec4a::/48 | fe80:c25b:ec4a:ffff:ffff:ffff:ffff:ffff |
| 76 | fe80:c25b:ec4b::/48 | fe80:c25b:ec4b:ffff:ffff:ffff:ffff:ffff |
| 77 | fe80:c25b:ec4c::/48 | fe80:c25b:ec4c:ffff:ffff:ffff:ffff:ffff |
| 78 | fe80:c25b:ec4d::/48 | fe80:c25b:ec4d:ffff:ffff:ffff:ffff:ffff |
| 79 | fe80:c25b:ec4e::/48 | fe80:c25b:ec4e:ffff:ffff:ffff:ffff:ffff |
| 80 | fe80:c25b:ec4f::/48 | fe80:c25b:ec4f:ffff:ffff:ffff:ffff:ffff |
| 81 | fe80:c25b:ec50::/48 | fe80:c25b:ec50:ffff:ffff:ffff:ffff:ffff |
| 82 | fe80:c25b:ec51::/48 | fe80:c25b:ec51:ffff:ffff:ffff:ffff:ffff |
| 83 | fe80:c25b:ec52::/48 | fe80:c25b:ec52:ffff:ffff:ffff:ffff:ffff |
| 84 | fe80:c25b:ec53::/48 | fe80:c25b:ec53:ffff:ffff:ffff:ffff:ffff |
| 85 | fe80:c25b:ec54::/48 | fe80:c25b:ec54:ffff:ffff:ffff:ffff:ffff |
| 86 | fe80:c25b:ec55::/48 | fe80:c25b:ec55:ffff:ffff:ffff:ffff:ffff |
| 87 | fe80:c25b:ec56::/48 | fe80:c25b:ec56:ffff:ffff:ffff:ffff:ffff |
| 88 | fe80:c25b:ec57::/48 | fe80:c25b:ec57:ffff:ffff:ffff:ffff:ffff |
| 89 | fe80:c25b:ec58::/48 | fe80:c25b:ec58:ffff:ffff:ffff:ffff:ffff |
| 90 | fe80:c25b:ec59::/48 | fe80:c25b:ec59:ffff:ffff:ffff:ffff:ffff |
| 91 | fe80:c25b:ec5a::/48 | fe80:c25b:ec5a:ffff:ffff:ffff:ffff:ffff |
| 92 | fe80:c25b:ec5b::/48 | fe80:c25b:ec5b:ffff:ffff:ffff:ffff:ffff |
| 93 | fe80:c25b:ec5c::/48 | fe80:c25b:ec5c:ffff:ffff:ffff:ffff:ffff |
| 94 | fe80:c25b:ec5d::/48 | fe80:c25b:ec5d:ffff:ffff:ffff:ffff:ffff |
| 95 | fe80:c25b:ec5e::/48 | fe80:c25b:ec5e:ffff:ffff:ffff:ffff:ffff |
| 96 | fe80:c25b:ec5f::/48 | fe80:c25b:ec5f:ffff:ffff:ffff:ffff:ffff |
| 97 | fe80:c25b:ec60::/48 | fe80:c25b:ec60:ffff:ffff:ffff:ffff:ffff |
| 98 | fe80:c25b:ec61::/48 | fe80:c25b:ec61:ffff:ffff:ffff:ffff:ffff |
| 99 | fe80:c25b:ec62::/48 | fe80:c25b:ec62:ffff:ffff:ffff:ffff:ffff |
| 100 | fe80:c25b:ec63::/48 | fe80:c25b:ec63:ffff:ffff:ffff:ffff:ffff |
| 101 | fe80:c25b:ec64::/48 | fe80:c25b:ec64:ffff:ffff:ffff:ffff:ffff |
| 102 | fe80:c25b:ec65::/48 | fe80:c25b:ec65:ffff:ffff:ffff:ffff:ffff |
| 103 | fe80:c25b:ec66::/48 | fe80:c25b:ec66:ffff:ffff:ffff:ffff:ffff |
| 104 | fe80:c25b:ec67::/48 | fe80:c25b:ec67:ffff:ffff:ffff:ffff:ffff |
| 105 | fe80:c25b:ec68::/48 | fe80:c25b:ec68:ffff:ffff:ffff:ffff:ffff |
| 106 | fe80:c25b:ec69::/48 | fe80:c25b:ec69:ffff:ffff:ffff:ffff:ffff |
| 107 | fe80:c25b:ec6a::/48 | fe80:c25b:ec6a:ffff:ffff:ffff:ffff:ffff |
| 108 | fe80:c25b:ec6b::/48 | fe80:c25b:ec6b:ffff:ffff:ffff:ffff:ffff |
| 109 | fe80:c25b:ec6c::/48 | fe80:c25b:ec6c:ffff:ffff:ffff:ffff:ffff |
| 110 | fe80:c25b:ec6d::/48 | fe80:c25b:ec6d:ffff:ffff:ffff:ffff:ffff |
| 111 | fe80:c25b:ec6e::/48 | fe80:c25b:ec6e:ffff:ffff:ffff:ffff:ffff |
| 112 | fe80:c25b:ec6f::/48 | fe80:c25b:ec6f:ffff:ffff:ffff:ffff:ffff |
| 113 | fe80:c25b:ec70::/48 | fe80:c25b:ec70:ffff:ffff:ffff:ffff:ffff |
| 114 | fe80:c25b:ec71::/48 | fe80:c25b:ec71:ffff:ffff:ffff:ffff:ffff |
| 115 | fe80:c25b:ec72::/48 | fe80:c25b:ec72:ffff:ffff:ffff:ffff:ffff |
| 116 | fe80:c25b:ec73::/48 | fe80:c25b:ec73:ffff:ffff:ffff:ffff:ffff |
| 117 | fe80:c25b:ec74::/48 | fe80:c25b:ec74:ffff:ffff:ffff:ffff:ffff |
| 118 | fe80:c25b:ec75::/48 | fe80:c25b:ec75:ffff:ffff:ffff:ffff:ffff |
| 119 | fe80:c25b:ec76::/48 | fe80:c25b:ec76:ffff:ffff:ffff:ffff:ffff |
| 120 | fe80:c25b:ec77::/48 | fe80:c25b:ec77:ffff:ffff:ffff:ffff:ffff |
| 121 | fe80:c25b:ec78::/48 | fe80:c25b:ec78:ffff:ffff:ffff:ffff:ffff |
| 122 | fe80:c25b:ec79::/48 | fe80:c25b:ec79:ffff:ffff:ffff:ffff:ffff |
| 123 | fe80:c25b:ec7a::/48 | fe80:c25b:ec7a:ffff:ffff:ffff:ffff:ffff |
| 124 | fe80:c25b:ec7b::/48 | fe80:c25b:ec7b:ffff:ffff:ffff:ffff:ffff |
| 125 | fe80:c25b:ec7c::/48 | fe80:c25b:ec7c:ffff:ffff:ffff:ffff:ffff |
| 126 | fe80:c25b:ec7d::/48 | fe80:c25b:ec7d:ffff:ffff:ffff:ffff:ffff |
| 127 | fe80:c25b:ec7e::/48 | fe80:c25b:ec7e:ffff:ffff:ffff:ffff:ffff |
| 128 | fe80:c25b:ec7f::/48 | fe80:c25b:ec7f:ffff:ffff:ffff:ffff:ffff |
| 129 | fe80:c25b:ec80::/48 | fe80:c25b:ec80:ffff:ffff:ffff:ffff:ffff |
| 130 | fe80:c25b:ec81::/48 | fe80:c25b:ec81:ffff:ffff:ffff:ffff:ffff |
| 131 | fe80:c25b:ec82::/48 | fe80:c25b:ec82:ffff:ffff:ffff:ffff:ffff |
| 132 | fe80:c25b:ec83::/48 | fe80:c25b:ec83:ffff:ffff:ffff:ffff:ffff |
| 133 | fe80:c25b:ec84::/48 | fe80:c25b:ec84:ffff:ffff:ffff:ffff:ffff |
| 134 | fe80:c25b:ec85::/48 | fe80:c25b:ec85:ffff:ffff:ffff:ffff:ffff |
| 135 | fe80:c25b:ec86::/48 | fe80:c25b:ec86:ffff:ffff:ffff:ffff:ffff |
| 136 | fe80:c25b:ec87::/48 | fe80:c25b:ec87:ffff:ffff:ffff:ffff:ffff |
| 137 | fe80:c25b:ec88::/48 | fe80:c25b:ec88:ffff:ffff:ffff:ffff:ffff |
| 138 | fe80:c25b:ec89::/48 | fe80:c25b:ec89:ffff:ffff:ffff:ffff:ffff |
| 139 | fe80:c25b:ec8a::/48 | fe80:c25b:ec8a:ffff:ffff:ffff:ffff:ffff |
| 140 | fe80:c25b:ec8b::/48 | fe80:c25b:ec8b:ffff:ffff:ffff:ffff:ffff |
| 141 | fe80:c25b:ec8c::/48 | fe80:c25b:ec8c:ffff:ffff:ffff:ffff:ffff |
| 142 | fe80:c25b:ec8d::/48 | fe80:c25b:ec8d:ffff:ffff:ffff:ffff:ffff |
| 143 | fe80:c25b:ec8e::/48 | fe80:c25b:ec8e:ffff:ffff:ffff:ffff:ffff |
| 144 | fe80:c25b:ec8f::/48 | fe80:c25b:ec8f:ffff:ffff:ffff:ffff:ffff |
| 145 | fe80:c25b:ec90::/48 | fe80:c25b:ec90:ffff:ffff:ffff:ffff:ffff |
| 146 | fe80:c25b:ec91::/48 | fe80:c25b:ec91:ffff:ffff:ffff:ffff:ffff |
| 147 | fe80:c25b:ec92::/48 | fe80:c25b:ec92:ffff:ffff:ffff:ffff:ffff |
| 148 | fe80:c25b:ec93::/48 | fe80:c25b:ec93:ffff:ffff:ffff:ffff:ffff |
| 149 | fe80:c25b:ec94::/48 | fe80:c25b:ec94:ffff:ffff:ffff:ffff:ffff |
| 150 | fe80:c25b:ec95::/48 | fe80:c25b:ec95:ffff:ffff:ffff:ffff:ffff |
| 151 | fe80:c25b:ec96::/48 | fe80:c25b:ec96:ffff:ffff:ffff:ffff:ffff |
| 152 | fe80:c25b:ec97::/48 | fe80:c25b:ec97:ffff:ffff:ffff:ffff:ffff |
| 153 | fe80:c25b:ec98::/48 | fe80:c25b:ec98:ffff:ffff:ffff:ffff:ffff |
| 154 | fe80:c25b:ec99::/48 | fe80:c25b:ec99:ffff:ffff:ffff:ffff:ffff |
| 155 | fe80:c25b:ec9a::/48 | fe80:c25b:ec9a:ffff:ffff:ffff:ffff:ffff |
| 156 | fe80:c25b:ec9b::/48 | fe80:c25b:ec9b:ffff:ffff:ffff:ffff:ffff |
| 157 | fe80:c25b:ec9c::/48 | fe80:c25b:ec9c:ffff:ffff:ffff:ffff:ffff |
| 158 | fe80:c25b:ec9d::/48 | fe80:c25b:ec9d:ffff:ffff:ffff:ffff:ffff |
| 159 | fe80:c25b:ec9e::/48 | fe80:c25b:ec9e:ffff:ffff:ffff:ffff:ffff |
| 160 | fe80:c25b:ec9f::/48 | fe80:c25b:ec9f:ffff:ffff:ffff:ffff:ffff |
| 161 | fe80:c25b:eca0::/48 | fe80:c25b:eca0:ffff:ffff:ffff:ffff:ffff |
| 162 | fe80:c25b:eca1::/48 | fe80:c25b:eca1:ffff:ffff:ffff:ffff:ffff |
| 163 | fe80:c25b:eca2::/48 | fe80:c25b:eca2:ffff:ffff:ffff:ffff:ffff |
| 164 | fe80:c25b:eca3::/48 | fe80:c25b:eca3:ffff:ffff:ffff:ffff:ffff |
| 165 | fe80:c25b:eca4::/48 | fe80:c25b:eca4:ffff:ffff:ffff:ffff:ffff |
| 166 | fe80:c25b:eca5::/48 | fe80:c25b:eca5:ffff:ffff:ffff:ffff:ffff |
| 167 | fe80:c25b:eca6::/48 | fe80:c25b:eca6:ffff:ffff:ffff:ffff:ffff |
| 168 | fe80:c25b:eca7::/48 | fe80:c25b:eca7:ffff:ffff:ffff:ffff:ffff |
| 169 | fe80:c25b:eca8::/48 | fe80:c25b:eca8:ffff:ffff:ffff:ffff:ffff |
| 170 | fe80:c25b:eca9::/48 | fe80:c25b:eca9:ffff:ffff:ffff:ffff:ffff |
| 171 | fe80:c25b:ecaa::/48 | fe80:c25b:ecaa:ffff:ffff:ffff:ffff:ffff |
| 172 | fe80:c25b:ecab::/48 | fe80:c25b:ecab:ffff:ffff:ffff:ffff:ffff |
| 173 | fe80:c25b:ecac::/48 | fe80:c25b:ecac:ffff:ffff:ffff:ffff:ffff |
| 174 | fe80:c25b:ecad::/48 | fe80:c25b:ecad:ffff:ffff:ffff:ffff:ffff |
| 175 | fe80:c25b:ecae::/48 | fe80:c25b:ecae:ffff:ffff:ffff:ffff:ffff |
| 176 | fe80:c25b:ecaf::/48 | fe80:c25b:ecaf:ffff:ffff:ffff:ffff:ffff |
| 177 | fe80:c25b:ecb0::/48 | fe80:c25b:ecb0:ffff:ffff:ffff:ffff:ffff |
| 178 | fe80:c25b:ecb1::/48 | fe80:c25b:ecb1:ffff:ffff:ffff:ffff:ffff |
| 179 | fe80:c25b:ecb2::/48 | fe80:c25b:ecb2:ffff:ffff:ffff:ffff:ffff |
| 180 | fe80:c25b:ecb3::/48 | fe80:c25b:ecb3:ffff:ffff:ffff:ffff:ffff |
| 181 | fe80:c25b:ecb4::/48 | fe80:c25b:ecb4:ffff:ffff:ffff:ffff:ffff |
| 182 | fe80:c25b:ecb5::/48 | fe80:c25b:ecb5:ffff:ffff:ffff:ffff:ffff |
| 183 | fe80:c25b:ecb6::/48 | fe80:c25b:ecb6:ffff:ffff:ffff:ffff:ffff |
| 184 | fe80:c25b:ecb7::/48 | fe80:c25b:ecb7:ffff:ffff:ffff:ffff:ffff |
| 185 | fe80:c25b:ecb8::/48 | fe80:c25b:ecb8:ffff:ffff:ffff:ffff:ffff |
| 186 | fe80:c25b:ecb9::/48 | fe80:c25b:ecb9:ffff:ffff:ffff:ffff:ffff |
| 187 | fe80:c25b:ecba::/48 | fe80:c25b:ecba:ffff:ffff:ffff:ffff:ffff |
| 188 | fe80:c25b:ecbb::/48 | fe80:c25b:ecbb:ffff:ffff:ffff:ffff:ffff |
| 189 | fe80:c25b:ecbc::/48 | fe80:c25b:ecbc:ffff:ffff:ffff:ffff:ffff |
| 190 | fe80:c25b:ecbd::/48 | fe80:c25b:ecbd:ffff:ffff:ffff:ffff:ffff |
| 191 | fe80:c25b:ecbe::/48 | fe80:c25b:ecbe:ffff:ffff:ffff:ffff:ffff |
| 192 | fe80:c25b:ecbf::/48 | fe80:c25b:ecbf:ffff:ffff:ffff:ffff:ffff |
| 193 | fe80:c25b:ecc0::/48 | fe80:c25b:ecc0:ffff:ffff:ffff:ffff:ffff |
| 194 | fe80:c25b:ecc1::/48 | fe80:c25b:ecc1:ffff:ffff:ffff:ffff:ffff |
| 195 | fe80:c25b:ecc2::/48 | fe80:c25b:ecc2:ffff:ffff:ffff:ffff:ffff |
| 196 | fe80:c25b:ecc3::/48 | fe80:c25b:ecc3:ffff:ffff:ffff:ffff:ffff |
| 197 | fe80:c25b:ecc4::/48 | fe80:c25b:ecc4:ffff:ffff:ffff:ffff:ffff |
| 198 | fe80:c25b:ecc5::/48 | fe80:c25b:ecc5:ffff:ffff:ffff:ffff:ffff |
| 199 | fe80:c25b:ecc6::/48 | fe80:c25b:ecc6:ffff:ffff:ffff:ffff:ffff |
| 200 | fe80:c25b:ecc7::/48 | fe80:c25b:ecc7:ffff:ffff:ffff:ffff:ffff |
| 201 | fe80:c25b:ecc8::/48 | fe80:c25b:ecc8:ffff:ffff:ffff:ffff:ffff |
| 202 | fe80:c25b:ecc9::/48 | fe80:c25b:ecc9:ffff:ffff:ffff:ffff:ffff |
| 203 | fe80:c25b:ecca::/48 | fe80:c25b:ecca:ffff:ffff:ffff:ffff:ffff |
| 204 | fe80:c25b:eccb::/48 | fe80:c25b:eccb:ffff:ffff:ffff:ffff:ffff |
| 205 | fe80:c25b:eccc::/48 | fe80:c25b:eccc:ffff:ffff:ffff:ffff:ffff |
| 206 | fe80:c25b:eccd::/48 | fe80:c25b:eccd:ffff:ffff:ffff:ffff:ffff |
| 207 | fe80:c25b:ecce::/48 | fe80:c25b:ecce:ffff:ffff:ffff:ffff:ffff |
| 208 | fe80:c25b:eccf::/48 | fe80:c25b:eccf:ffff:ffff:ffff:ffff:ffff |
| 209 | fe80:c25b:ecd0::/48 | fe80:c25b:ecd0:ffff:ffff:ffff:ffff:ffff |
| 210 | fe80:c25b:ecd1::/48 | fe80:c25b:ecd1:ffff:ffff:ffff:ffff:ffff |
| 211 | fe80:c25b:ecd2::/48 | fe80:c25b:ecd2:ffff:ffff:ffff:ffff:ffff |
| 212 | fe80:c25b:ecd3::/48 | fe80:c25b:ecd3:ffff:ffff:ffff:ffff:ffff |
| 213 | fe80:c25b:ecd4::/48 | fe80:c25b:ecd4:ffff:ffff:ffff:ffff:ffff |
| 214 | fe80:c25b:ecd5::/48 | fe80:c25b:ecd5:ffff:ffff:ffff:ffff:ffff |
| 215 | fe80:c25b:ecd6::/48 | fe80:c25b:ecd6:ffff:ffff:ffff:ffff:ffff |
| 216 | fe80:c25b:ecd7::/48 | fe80:c25b:ecd7:ffff:ffff:ffff:ffff:ffff |
| 217 | fe80:c25b:ecd8::/48 | fe80:c25b:ecd8:ffff:ffff:ffff:ffff:ffff |
| 218 | fe80:c25b:ecd9::/48 | fe80:c25b:ecd9:ffff:ffff:ffff:ffff:ffff |
| 219 | fe80:c25b:ecda::/48 | fe80:c25b:ecda:ffff:ffff:ffff:ffff:ffff |
| 220 | fe80:c25b:ecdb::/48 | fe80:c25b:ecdb:ffff:ffff:ffff:ffff:ffff |
| 221 | fe80:c25b:ecdc::/48 | fe80:c25b:ecdc:ffff:ffff:ffff:ffff:ffff |
| 222 | fe80:c25b:ecdd::/48 | fe80:c25b:ecdd:ffff:ffff:ffff:ffff:ffff |
| 223 | fe80:c25b:ecde::/48 | fe80:c25b:ecde:ffff:ffff:ffff:ffff:ffff |
| 224 | fe80:c25b:ecdf::/48 | fe80:c25b:ecdf:ffff:ffff:ffff:ffff:ffff |
| 225 | fe80:c25b:ece0::/48 | fe80:c25b:ece0:ffff:ffff:ffff:ffff:ffff |
| 226 | fe80:c25b:ece1::/48 | fe80:c25b:ece1:ffff:ffff:ffff:ffff:ffff |
| 227 | fe80:c25b:ece2::/48 | fe80:c25b:ece2:ffff:ffff:ffff:ffff:ffff |
| 228 | fe80:c25b:ece3::/48 | fe80:c25b:ece3:ffff:ffff:ffff:ffff:ffff |
| 229 | fe80:c25b:ece4::/48 | fe80:c25b:ece4:ffff:ffff:ffff:ffff:ffff |
| 230 | fe80:c25b:ece5::/48 | fe80:c25b:ece5:ffff:ffff:ffff:ffff:ffff |
| 231 | fe80:c25b:ece6::/48 | fe80:c25b:ece6:ffff:ffff:ffff:ffff:ffff |
| 232 | fe80:c25b:ece7::/48 | fe80:c25b:ece7:ffff:ffff:ffff:ffff:ffff |
| 233 | fe80:c25b:ece8::/48 | fe80:c25b:ece8:ffff:ffff:ffff:ffff:ffff |
| 234 | fe80:c25b:ece9::/48 | fe80:c25b:ece9:ffff:ffff:ffff:ffff:ffff |
| 235 | fe80:c25b:ecea::/48 | fe80:c25b:ecea:ffff:ffff:ffff:ffff:ffff |
| 236 | fe80:c25b:eceb::/48 | fe80:c25b:eceb:ffff:ffff:ffff:ffff:ffff |
| 237 | fe80:c25b:ecec::/48 | fe80:c25b:ecec:ffff:ffff:ffff:ffff:ffff |
| 238 | fe80:c25b:eced::/48 | fe80:c25b:eced:ffff:ffff:ffff:ffff:ffff |
| 239 | fe80:c25b:ecee::/48 | fe80:c25b:ecee:ffff:ffff:ffff:ffff:ffff |
| 240 | fe80:c25b:ecef::/48 | fe80:c25b:ecef:ffff:ffff:ffff:ffff:ffff |
| 241 | fe80:c25b:ecf0::/48 | fe80:c25b:ecf0:ffff:ffff:ffff:ffff:ffff |
| 242 | fe80:c25b:ecf1::/48 | fe80:c25b:ecf1:ffff:ffff:ffff:ffff:ffff |
| 243 | fe80:c25b:ecf2::/48 | fe80:c25b:ecf2:ffff:ffff:ffff:ffff:ffff |
| 244 | fe80:c25b:ecf3::/48 | fe80:c25b:ecf3:ffff:ffff:ffff:ffff:ffff |
| 245 | fe80:c25b:ecf4::/48 | fe80:c25b:ecf4:ffff:ffff:ffff:ffff:ffff |
| 246 | fe80:c25b:ecf5::/48 | fe80:c25b:ecf5:ffff:ffff:ffff:ffff:ffff |
| 247 | fe80:c25b:ecf6::/48 | fe80:c25b:ecf6:ffff:ffff:ffff:ffff:ffff |
| 248 | fe80:c25b:ecf7::/48 | fe80:c25b:ecf7:ffff:ffff:ffff:ffff:ffff |
| 249 | fe80:c25b:ecf8::/48 | fe80:c25b:ecf8:ffff:ffff:ffff:ffff:ffff |
| 250 | fe80:c25b:ecf9::/48 | fe80:c25b:ecf9:ffff:ffff:ffff:ffff:ffff |
| 251 | fe80:c25b:ecfa::/48 | fe80:c25b:ecfa:ffff:ffff:ffff:ffff:ffff |
| 252 | fe80:c25b:ecfb::/48 | fe80:c25b:ecfb:ffff:ffff:ffff:ffff:ffff |
| 253 | fe80:c25b:ecfc::/48 | fe80:c25b:ecfc:ffff:ffff:ffff:ffff:ffff |
| 254 | fe80:c25b:ecfd::/48 | fe80:c25b:ecfd:ffff:ffff:ffff:ffff:ffff |
| 255 | fe80:c25b:ecfe::/48 | fe80:c25b:ecfe:ffff:ffff:ffff:ffff:ffff |
| 256 | fe80:c25b:ecff::/48 | fe80:c25b:ecff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |